@echo off
echo off
cls
echo                   Nisus Missile Master Installation
echo          Copyright (c) 1993 Nisus Development & Technology
echo.
echo [ This batch file will install Nisus Missile Master on your hard disk. ]
echo [ It should only be used if the Windows SETUP method failed.  If you   ]
echo [ have not tried installing through Windows, please press CTRL-C at    ]
echo [ the next prompt and start Windows, then choose "RUN" from the        ]
echo [ Program Manager's "FILE" menu, and type "A:\SETUP".                  ]
echo.
echo [ IMPORTANT!                                                           ]
echo [ This batch file will copy certain files to your Windows system       ]
echo [ directory.  If you have newer versions of the files already existing ]
echo [ on your Windows system directory, this install routine will          ]
echo [ OVERWRITE them.  This is why the Windows SETUP method should be      ]
echo [ be used if possible, as it will check file versions and prevent this ]
echo [ problem.                                                             ]
echo.
echo Press [ENTER] to continue with batch file installation,
echo or press [CTRL-C] to abort...
pause > NUL
if %1. == . goto BADPARAM
if %2. == . goto BADPARAM
if not exist %2%\NUL goto BADWINDIR
md %1%
if not exist %1%\NUL goto BADMAKDIR
rem ------------------------
rem   Windows System Files
rem ------------------------
cls
echo Copying Windows files....
copy vbrun200.dll %2%\system
copy commdlg.dll %2%\system
copy *.vbx %2%\system
rem ------------------------
rem       Game Files
rem ------------------------
cls
echo Copying Game files....
copy *.wav %1% 
copy metblast.mid %1% 
copy missile.exe %1% 
copy boink.exe %1%
copy missile.hlp %1% 
copy readme.txt %1% 
echo.
echo Installation complete, press [ENTER] to continue...
pause > NUL
cls
echo When you start Windows, you must create a Program Manager item for
echo Nisus Missile Master and Boink!.  If you need assistance with creating 
echo items, please refer to Chapter 3 of the Microsoft Windows User's Guide 
echo under "Working with Program Items". (page 78 in my copy).
echo.
goto END
:BADPARAM
echo. 
echo ERROR:
echo You did not provide enough parameters.  In order for this install batch
echo to work, you must provide the directory name where you want Nisus
echo Missile Master to be installed, as well as your Windows directory name
echo so that special files may be copied into your Windows area.
echo.
goto USEAGE
:BADWINDIR
echo.
echo ERROR:
echo The Windows directory you specified (%2%) does not exist.
echo Please double check the name of your Windows directory and try again.
echo.
goto USEAGE
:BADMAKDIR
echo.
echo ERROR:
echo There was a problem creating the directory you specified to install
echo Nisus Missile Master to (%1%).  Please try another directory name.
echo.
goto USEAGE
:USEAGE
echo Usage: INSTALL [directory] [Windows directory]
echo    eg: INSTALL c:\games\missmast c:\windows
echo.
goto END
:END





